# MapTool

[![Language: Ruby](https://img.shields.io/badge/language-Ruby-orange.svg?style=flat)](https://www.ruby-lang.org/zh_cn/)
[![License: MIT](https://img.shields.io/badge/license-MIT-blue.svg?style=flat)](https://github.com/937447974/YJCocoaGem/blob/master/LICENSE)
[![](https://img.shields.io/badge/gem-17.11.17-orange.svg?style=flat)](http://apparch.xiaojukeji.com:9292/gems/maptool)

地图事业部 iOS 脚本工具，使用 gem 安装。

```vim
gem install maptool
```

## 1 Dependency 命令

Dependency 命令主要用于代码依赖分析。支持如下两个功能：

1. 分析库之间的依赖关系；
2. 搜索不符合规范的 import 导入，库正确导入方式为 `#import <Foundation/Foundation.h>`，错误的方式是 `#import "Foundation.h"`。

执行 Dependency 命令指定库文件夹即可，分析完毕会自动生成日志并打开。

```
maptool dependency --dir=/Users/didi/Desktop/Pods/MapAnalogNavigation/Pod
```

## 2 Release 命令

Release 命令主要用于发版时收集 pod 内 tag，并使用[飞歌服务](http://wiki.intra.xiaojukeji.com/pages/viewpage.action?pageId=111910871)推送到钉钉群。

执行 Tag 收集命令

```
maptool release --sender=员工号 --podfile=/Users/didi/Desktop/DiDi/one-integration/OnePods.rb
```

## 3 Tag 命令

Tag 命令主要用于规范开发人员的 tag。生成 tag 的样式：库名-version-stage-时间戳-suffix

首次打tag或升级版本号

```
maptool tag --version=x.xx.xxx --stage=阶段 --suffix=后缀
```

只更新时间戳打 Tag：

```
maptool tag
```

----------

# Appendix

## Author

阳君 <yangjunyang@didichuxing.com>

## GitLab

[https://git.xiaojukeji.com/mapkit-ios/maptool](https://git.xiaojukeji.com/mapkit-ios/maptool)

## Copyright

maptool 是滴滴内部项目，默认不对外开源。
